import { getHttp, postHttp } from "../request.js";

/* 用户 */
export const User = {
  /* 
          微信登录  Code  
    */
  wechatLog: (params) => {
    return getHttp("/wechat/login", params, 0);
  },
  /* 获取手机验证码  Mobile * AreaNum */
  getPhoneCode: (params) => {
    return getHttp("/wechat/getSmsCode", params);
  },
  /* 获取邮件验证码  Email */
  getEmailCode: (params) => {
    return getHttp("/wechat/getEmailCode", params);
  },
  /* 
          传输uid   
          "EncryptedData": "string",
         "Iv": "string",
         "RawData": "string",
         "Signature": "string"
       */
  sendInfo: (params) => {
    return postHttp("/wechat/getUserInfo", params, 0);
  },
  /* 获取手机号  "EncryptedData": "string","Iv": "string"*/
  getPhoneNum: (params) => {
    return postHttp("/wechat/getPhoneNumber", params);
  },
  /* 
      登录 绑定手机号邮箱
      "Email": "string",
       "LoginType": 0 1手机号 2邮箱,
       "Mobile": "string"
       */
  Bind: (params) => {
    return postHttp("/user/login", params);
  },
  /* 
       申请试用
           ApplyMethod:
           1:已付费客户申请试用，2:非客户申请试用 3未付费
           BusinessCardUrl
           CompanyName
           RealName
       */
  applyTry: (params) => {
    return postHttp("/user/apply/try", params, 0);
  },
  //获取是否需要填写区号接口
  countryCcode: (params) => {
    return getHttp("/user/countryCcode/isNeedAdd", params, 0);
  },
  //上传用户区号接口
  countryCcodeAdd: (params) => {
    return postHttp("/user/countryCcode/Add", params, 0);
  },
  //上传页面访问统计
  pageHistory: (params) => {
    return postHttp("/config/pageHistory", params, 0);
  },
  //我的提问
  getAskList: (params) => {
    return getHttp("/user/ask/list");
  },
  //更改用户微信头像
  headimgurlUpdate: (params) => {
    return postHttp("/user/headimgurl/update", params);
  },
  //我的留言
  commentListMessage: (params) => {
    return getHttp("/user/comment/list", params);
  },
  //我的收藏-微路演
  getListMicroRoadshow: (params) => {
    return getHttp("/micro_roadshow/mycollect", params);
  },
  // 埋点
  getUserTracking: (params) => {
    return getHttp("/user/tracking", params,0);
  },
  //用户搜索记录统计-微路演
  userSearchKeyWordLog: (params) => {
    return postHttp("/config/user/search/keyWordLog", params);
  },
  // 用户的文章活动，关注/取消关注产业
  userIndustryFollow: (params) => {
    return postHttp("/industry/follow", params);
  },
};
