import { getHttp, postHttp } from "../request.js";

/* 活动  */
export const activity = {
    /* 获取活动列表接口*/
    getActivityList: (params) => {
      return getHttp("/activity/list", params);
    },
    /* 获取活动列表接口*/
    getActivityDetail: (params) => {
      return getHttp("/activity/detail", params);
    },
    /* 获取活动详情接口*/
    getUserSearchContent: (params) => {
      return getHttp("/activity/getUserSearchContent", params);
    },
    /* 活动报名接口*/
    signupAdd: (params) => {
      return postHttp("/activity/signup/add", params);
    },
    /* 活动取消报名接口*/
    signupCancel: (params) => {
      return postHttp("/activity/signup/cancel", params);
    },
    /* 获取活动列表接口*/
    getScheduleList: (params) => {
      return getHttp("/activity/scheduleList", params);
    },
    /* 活动取消报名接口*/
    meetingReminderAdd: (params) => {
      return postHttp("/activity/meetingReminder/add", params);
    },
    /* 取消消息提醒接口*/
    meetingReminderCancel: (params) => {
      return postHttp("/activity/meetingReminder/cancel", params);
    },
    /* 获取敏捷搜索关键词的列表接口*/
    fastSearchKeWord: (params) => {
      return getHttp("/activity/labelMoreList", params);
    },
    /*用户修改外呼手机号以及区号接口*/
    addOutboundMobile: (params) => {
      return postHttp("/user/countryCcode/addOutboundMobile", params);
    },
    /*新增活动带问接口*/
    activityAskAdd: (params) => {
      return postHttp("/activity/askAdd", params);
    },
    /*获取研选说明接口*/
    descriptionOfResearch: (params) => {
      return getHttp("/config/descriptionOfResearch", params);
    },
    /*获取主题活动接口*/
    getActivityListNew: (params) => {
      return getHttp("/activity/listNew", params);
    },
    /*获取主题活动接口*/
    getActivityListSearch: (params) => {
      return getHttp("/activity/listSearch", params);
    },
    /*获取活动类型下的主题列表接口（4.3版本）*/
    getActivityLabelTypeList: (params) => {
      return getHttp("/activity/labelTypeListV5", params);
    },
    /* 校验活动带问是否有权限接口 */
    checkAskActivity: (params) => {
      return postHttp("/activity/checkAsk", params, 0);
    },
    /*获取专项产业调研列表接口*/
    getSpecialList: (params) => {
      return getHttp("/activity_special/list", params);
    },
    /*获取专项产业调研列表接口*/
    getSpecialDetailList: (params) => {
      return getHttp("/activity_special/detail", params);
    },
    /*感兴趣、不感兴趣接口*/
    postSpecialSignupAdd: (params) => {
      return postHttp("/activity/special/signup/add", params);
    },
    /*获取专项产业调研列表接口*/
    postSpecialFollow: (params) => {
      return postHttp("/activity/special/follow", params);
    },
    /*预约纪要接口*/
    postAppointmentAdd: (params) => {
      return postHttp("/activity/appointment/add", params);
    },
    /*取消预约纪要接口*/
    postAppointmentCancel: (params) => {
      return postHttp("/activity/appointment/cancel", params);
    },
    //背景音频开始播放
    backAudioPlay: (params) => {
      return postHttp("/micro_roadshow/videoHistory/add", params, 0);
    },
    //专项产业报名取消报名接口
    activityApecialAdd: (params) => {
      return postHttp("/activity_special/add", params, 0);
    },
    //专项产业取消报名接口
    activityApecialCancel: (params) => {
      return postHttp("/activity_special/trip/cancel", params, 0);
    },
    // 已结束活动列表
    activityOverActivityList: (params) => {
      return getHttp("/activity/overActivityList", params, 0);
    },
    // 活动报名之前的校验（权限、时间、点数、邮箱）
    activityCheck: (params) => {
      return postHttp("/activity/check", params, 0);
    },
    // 更改绑定邮箱
    activityEmailBinding: (params) => {
      return postHttp("/user/email/binding", params, 0);
    },
   
  };