import { getHttp, postHttp } from "../request.js";

/* 研选  */
export const purchaserApi = {
  /* 获取研选banner列表*/
  getPurchaserBanner: () => {
    return getHttp("/banner/listYx");
  },
  /**
   * 调研提交
   * params:{string Content:Content}
   */
  purchaserSurveySubmit: (params) => {
    return postHttp("/banner/add/yxSurvey", params);
  },
  /**
   * 调研详情
   * params:{number SuveryId:SuveryId}
   */
  purchaserSurveyDetail: (params) => {
    return getHttp("/banner/yxSurvey/detail", params);
  },
  /**
   * 详情
   * params:{number SuveryId:SuveryId}
   */
  questionnaireDetail: (params) => {
    return getHttp("/questionnaire/detail", params);
  },
  /**
   * 提交问卷信息
   * params:{number SuveryId:SuveryId}
   */
  questionnaireVote_add: (params) => {
    return postHttp("/questionnaire/vote_add", params);
  },
  // 专栏列表
  yanxuanSpecialList: (params) => {
    return getHttp("/yanxuan_special/list", params, 1);
  },
  // 研选专栏作者详情
  yanxuanSpecialAuthorDetail: (params) => {
    return getHttp("/yanxuan_special/author/detail", params, 1);
  },
  // 研选专栏详情
  yanxuanSpecialDetail: (params) => {
    return getHttp("/yanxuan_special/detail", params, 1);
  },
  // 研选专栏作者详情
  yanxuanSpecialAuthorSave: (params) => {
    return postHttp("/yanxuan_special/author/save", params, 1);
  },
  // 行业搜索
  yanxuanSpecialIndustrySearch: (params) => {
    return getHttp("/yanxuan_special/industrySearch", params, 1);
  },
  // 公司搜索
  yanxuanSpecialCompanySearch: (params) => {
    return getHttp("/yanxuan_special/companySearch", params, 1);
  },
  // 专栏保存
  yanxuanSpecialSave: (params) => {
    return postHttp("/yanxuan_special/save", params, 1);
  },
  // 专栏内容中心
  yanxuanSpecialCenter: (params) => {
    return getHttp("/yanxuan_special/center", params, 1);
  },
  // 取消发布
  yanxuanSpecialCancel: (params) => {
    return postHttp("/yanxuan_special/cancel", params, 1);
  },
  // 审批研选专栏
  yanxuanSpecialEnable: (params) => {
    return postHttp("/yanxuan_special/enable", params, 1);
  },
  // 作者列表
  yanxuanSpecialAuthorList: (params) => {
    return getHttp("/yanxuan_special/author/list", params, 1);
  },
  // 专栏收藏
  yanxuanSpecialCollect: (params) => {
    return postHttp("/yanxuan_special/collect", params, 1);
  },
  // 专栏收藏
  yanxuanSpecialAuthorImg: (params) => {
    return postHttp("/yanxuan_special/author/head_img", params, 1);
  },
  // 删除文章
  yanxuanSpecialDel: (params) => {
    return postHttp("/yanxuan_special/del", params, 1);
  },
  // 作者关注
  yanxuanSpecialFollow: (params) => {
    return postHttp("/yanxuan_special/follow", params, 1);
  },
  // 专栏文章敏感词检测
  yanxuanSpecialCheck: (params) => {
    return postHttp("/yanxuan_special/check", params);
  },
  // 活动类型列表
  getActivityTypelist: (params) => {
    return getHttp("/activity/activityTypelist", params);
  },
  // 专栏点击记录记录阅读时长
  YanxuanSpecialRecord: (params) => {
    return postHttp("/yanxuan_special/record", params);
  },
};
